Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.image
Class NIVision.MeasurementType

    java.lang.Object
      edu.wpi.first.wpilibj.image.NIVision.MeasurementType

Enclosing class:
  NIVision

    public static class NIVision.MeasurementType

extends Object

Field Summary
`static NIVision.MeasurementType` | `IMAQ_MEASUREMENT_TYPE_SIZE_GUARD`
`static NIVision.MeasurementType` | `IMAQ_MT_AREA` Area of the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_AREA_BY_IMAGE_AREA` Percentage of the particle Area covering the Image Area.
`static NIVision.MeasurementType` | `IMAQ_MT_AREA_BY_PARTICLE_AND_HOLES_AREA` Percentage of the particle Area in relation to its Particle and Holes Area.
`static NIVision.MeasurementType` | `IMAQ_MT_AVERAGE_HORIZ_SEGMENT_LENGTH` Average length of a horizontal segment in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_AVERAGE_VERT_SEGMENT_LENGTH` Average length of a vertical segment in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_BOUNDING_RECT_BOTTOM` Y-coordinate of the lowest particle point.
`static NIVision.MeasurementType` | `IMAQ_MT_BOUNDING_RECT_DIAGONAL` Distance between opposite corners of the bounding rectangle.
`static NIVision.MeasurementType` | `IMAQ_MT_BOUNDING_RECT_HEIGHT` Distance between the y-coordinate of highest particle point and the y-coordinate of the lowest particle point.
`static NIVision.MeasurementType` | `IMAQ_MT_BOUNDING_RECT_LEFT` X-coordinate of the leftmost particle point.
`static NIVision.MeasurementType` | `IMAQ_MT_BOUNDING_RECT_RIGHT` X-coordinate of the rightmost particle point.
`static NIVision.MeasurementType` | `IMAQ_MT_BOUNDING_RECT_TOP` Y-coordinate of highest particle point.
`static NIVision.MeasurementType` | `IMAQ_MT_BOUNDING_RECT_WIDTH` Distance between the x-coordinate of the leftmost particle point and the x-coordinate of the rightmost particle point.
`static NIVision.MeasurementType` | `IMAQ_MT_CENTER_OF_MASS_X` X-coordinate of the point representing the average position of the total particle mass, assuming every point in the particle has a constant density.
`static NIVision.MeasurementType` | `IMAQ_MT_CENTER_OF_MASS_Y` Y-coordinate of the point representing the average position of the total particle mass, assuming every point in the particle has a constant density.
`static NIVision.MeasurementType` | `IMAQ_MT_COMPACTNESS_FACTOR` Area divided by the product of Bounding Rect Width and Bounding Rect Height.
`static NIVision.MeasurementType` | `IMAQ_MT_CONVEX_HULL_AREA` Area of the smallest convex polygon containing all points in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_CONVEX_HULL_PERIMETER` Perimeter of the smallest convex polygon containing all points in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_ELONGATION_FACTOR` Max Feret Diameter divided by Equivalent Rect Short Side (Feret).
`static NIVision.MeasurementType` | `IMAQ_MT_EQUIVALENT_ELLIPSE_MAJOR_AXIS` Length of the major axis of the ellipse with the same perimeter and area as the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_EQUIVALENT_ELLIPSE_MINOR_AXIS` Length of the minor axis of the ellipse with the same perimeter and area as the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_EQUIVALENT_ELLIPSE_MINOR_AXIS_FERET` Length of the minor axis of the ellipse with the same area as the particle, and Major Axis equal in length to the Max Feret Diameter.
`static NIVision.MeasurementType` | `IMAQ_MT_EQUIVALENT_RECT_DIAGONAL` Distance between opposite corners of the rectangle with the same perimeter and area as the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_EQUIVALENT_RECT_LONG_SIDE` Longest side of the rectangle with the same perimeter and area as the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_EQUIVALENT_RECT_SHORT_SIDE` Shortest side of the rectangle with the same perimeter and area as the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_EQUIVALENT_RECT_SHORT_SIDE_FERET` Shortest side of the rectangle with the same area as the particle, and longest side equal in length to the Max Feret Diameter.
`static NIVision.MeasurementType` | `IMAQ_MT_FIRST_PIXEL_X` X-coordinate of the highest, leftmost particle pixel.
`static NIVision.MeasurementType` | `IMAQ_MT_FIRST_PIXEL_Y` Y-coordinate of the highest, leftmost particle pixel.
`static NIVision.MeasurementType` | `IMAQ_MT_HEYWOOD_CIRCULARITY_FACTOR` Perimeter divided by the circumference of a circle with the same area.
`static NIVision.MeasurementType` | `IMAQ_MT_HOLES_AREA` Sum of the areas of each hole in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_HOLES_PERIMETER` Sum of the perimeters of each hole in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_HU_MOMENT_1` The first Hu moment.
`static NIVision.MeasurementType` | `IMAQ_MT_HU_MOMENT_2` The second Hu moment.
`static NIVision.MeasurementType` | `IMAQ_MT_HU_MOMENT_3` The third Hu moment.
`static NIVision.MeasurementType` | `IMAQ_MT_HU_MOMENT_4` The fourth Hu moment.
`static NIVision.MeasurementType` | `IMAQ_MT_HU_MOMENT_5` The fifth Hu moment.
`static NIVision.MeasurementType` | `IMAQ_MT_HU_MOMENT_6` The sixth Hu moment.
`static NIVision.MeasurementType` | `IMAQ_MT_HU_MOMENT_7` The seventh Hu moment.
`static NIVision.MeasurementType` | `IMAQ_MT_HYDRAULIC_RADIUS` The particle area divided by the particle perimeter.
`static NIVision.MeasurementType` | `IMAQ_MT_IMAGE_AREA` Area of the image.
`static NIVision.MeasurementType` | `IMAQ_MT_MAX_FERET_DIAMETER` Distance between the start and end of the line segment connecting the two perimeter points that are the furthest apart.
`static NIVision.MeasurementType` | `IMAQ_MT_MAX_FERET_DIAMETER_END_X` X-coordinate of the end of the line segment connecting the two perimeter points that are the furthest apart.
`static NIVision.MeasurementType` | `IMAQ_MT_MAX_FERET_DIAMETER_END_Y` Y-coordinate of the end of the line segment connecting the two perimeter points that are the furthest apart.
`static NIVision.MeasurementType` | `IMAQ_MT_MAX_FERET_DIAMETER_ORIENTATION` The angle of the line segment connecting the two perimeter points that are the furthest apart.
`static NIVision.MeasurementType` | `IMAQ_MT_MAX_FERET_DIAMETER_START_X` X-coordinate of the start of the line segment connecting the two perimeter points that are the furthest apart.
`static NIVision.MeasurementType` | `IMAQ_MT_MAX_FERET_DIAMETER_START_Y` Y-coordinate of the start of the line segment connecting the two perimeter points that are the furthest apart.
`static NIVision.MeasurementType` | `IMAQ_MT_MAX_HORIZ_SEGMENT_LENGTH_LEFT` X-coordinate of the leftmost pixel in the longest row of contiguous pixels in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_MAX_HORIZ_SEGMENT_LENGTH_RIGHT` X-coordinate of the rightmost pixel in the longest row of contiguous pixels in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_MAX_HORIZ_SEGMENT_LENGTH_ROW` Y-coordinate of all of the pixels in the longest row of contiguous pixels in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_MOMENT_OF_INERTIA_XX` The moment of inertia in the x-direction twice.
`static NIVision.MeasurementType` | `IMAQ_MT_MOMENT_OF_INERTIA_XXX` The moment of inertia in the x-direction three times.
`static NIVision.MeasurementType` | `IMAQ_MT_MOMENT_OF_INERTIA_XXY` The moment of inertia in the x-direction twice and the y-direction once.
`static NIVision.MeasurementType` | `IMAQ_MT_MOMENT_OF_INERTIA_XY` The moment of inertia in the x and y directions.
`static NIVision.MeasurementType` | `IMAQ_MT_MOMENT_OF_INERTIA_XYY` The moment of inertia in the x-direction once and the y-direction twice.
`static NIVision.MeasurementType` | `IMAQ_MT_MOMENT_OF_INERTIA_YY` The moment of inertia in the y-direction twice.
`static NIVision.MeasurementType` | `IMAQ_MT_MOMENT_OF_INERTIA_YYY` The moment of inertia in the y-direction three times.
`static NIVision.MeasurementType` | `IMAQ_MT_NORM_MOMENT_OF_INERTIA_XX` The normalized moment of inertia in the x-direction twice.
`static NIVision.MeasurementType` | `IMAQ_MT_NORM_MOMENT_OF_INERTIA_XXX` The normalized moment of inertia in the x-direction three times.
`static NIVision.MeasurementType` | `IMAQ_MT_NORM_MOMENT_OF_INERTIA_XXY` The normalized moment of inertia in the x-direction twice and the y-direction once.
`static NIVision.MeasurementType` | `IMAQ_MT_NORM_MOMENT_OF_INERTIA_XY` The normalized moment of inertia in the x- and y-directions.
`static NIVision.MeasurementType` | `IMAQ_MT_NORM_MOMENT_OF_INERTIA_XYY` The normalized moment of inertia in the x-direction once and the y-direction twice.
`static NIVision.MeasurementType` | `IMAQ_MT_NORM_MOMENT_OF_INERTIA_YY` The normalized moment of inertia in the y-direction twice.
`static NIVision.MeasurementType` | `IMAQ_MT_NORM_MOMENT_OF_INERTIA_YYY` The normalized moment of inertia in the y-direction three times.
`static NIVision.MeasurementType` | `IMAQ_MT_NUMBER_OF_HOLES` Number of holes in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_NUMBER_OF_HORIZ_SEGMENTS` Number of horizontal segments in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_NUMBER_OF_VERT_SEGMENTS` Number of vertical segments in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_ORIENTATION` The angle of the line that passes through the particle Center of Mass about which the particle has the lowest moment of inertia.
`static NIVision.MeasurementType` | `IMAQ_MT_PARTICLE_AND_HOLES_AREA` Area of a particle that completely covers the image.
`static NIVision.MeasurementType` | `IMAQ_MT_PERIMETER` Length of the outer boundary of the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_RATIO_OF_EQUIVALENT_ELLIPSE_AXES` Equivalent Ellipse Major Axis divided by Equivalent Ellipse Minor Axis.
`static NIVision.MeasurementType` | `IMAQ_MT_RATIO_OF_EQUIVALENT_RECT_SIDES` Equivalent Rect Long Side divided by Equivalent Rect Short Side.
`static NIVision.MeasurementType` | `IMAQ_MT_SUM_X` The sum of all x-coordinates in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_SUM_XX` The sum of all x-coordinates squared in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_SUM_XXX` The sum of all x-coordinates cubed in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_SUM_XXY` The sum of all x-coordinates squared times y-coordinates in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_SUM_XY` The sum of all x-coordinates times y-coordinates in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_SUM_XYY` The sum of all x-coordinates times y-coordinates squared in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_SUM_Y` The sum of all y-coordinates in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_SUM_YY` The sum of all y-coordinates squared in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_SUM_YYY` The sum of all y-coordinates cubed in the particle.
`static NIVision.MeasurementType` | `IMAQ_MT_TYPE_FACTOR` Factor relating area to moment of inertia.
`static NIVision.MeasurementType` | `IMAQ_MT_WADDEL_DISK_DIAMETER` Diameter of a disk with the same area as the particle.
`int` | `value`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public final int value

### IMAQ_MT_CENTER_OF_MASS_X

    public static final NIVision.MeasurementType IMAQ_MT_CENTER_OF_MASS_X

  X-coordinate of the point representing the average position of the total particle mass, assuming every point in the particle has a constant density.

### IMAQ_MT_CENTER_OF_MASS_Y

    public static final NIVision.MeasurementType IMAQ_MT_CENTER_OF_MASS_Y

  Y-coordinate of the point representing the average position of the total particle mass, assuming every point in the particle has a constant density.

### IMAQ_MT_FIRST_PIXEL_X

    public static final NIVision.MeasurementType IMAQ_MT_FIRST_PIXEL_X

  X-coordinate of the highest, leftmost particle pixel.

### IMAQ_MT_FIRST_PIXEL_Y

    public static final NIVision.MeasurementType IMAQ_MT_FIRST_PIXEL_Y

  Y-coordinate of the highest, leftmost particle pixel.

### IMAQ_MT_BOUNDING_RECT_LEFT

    public static final NIVision.MeasurementType IMAQ_MT_BOUNDING_RECT_LEFT

  X-coordinate of the leftmost particle point.

### IMAQ_MT_BOUNDING_RECT_TOP

    public static final NIVision.MeasurementType IMAQ_MT_BOUNDING_RECT_TOP

  Y-coordinate of highest particle point.

### IMAQ_MT_BOUNDING_RECT_RIGHT

    public static final NIVision.MeasurementType IMAQ_MT_BOUNDING_RECT_RIGHT

  X-coordinate of the rightmost particle point.

### IMAQ_MT_BOUNDING_RECT_BOTTOM

    public static final NIVision.MeasurementType IMAQ_MT_BOUNDING_RECT_BOTTOM

  Y-coordinate of the lowest particle point.

### IMAQ_MT_MAX_FERET_DIAMETER_START_X

    public static final NIVision.MeasurementType IMAQ_MT_MAX_FERET_DIAMETER_START_X

  X-coordinate of the start of the line segment connecting the two perimeter points that are the furthest apart.

### IMAQ_MT_MAX_FERET_DIAMETER_START_Y

    public static final NIVision.MeasurementType IMAQ_MT_MAX_FERET_DIAMETER_START_Y

  Y-coordinate of the start of the line segment connecting the two perimeter points that are the furthest apart.

### IMAQ_MT_MAX_FERET_DIAMETER_END_X

    public static final NIVision.MeasurementType IMAQ_MT_MAX_FERET_DIAMETER_END_X

  X-coordinate of the end of the line segment connecting the two perimeter points that are the furthest apart.

### IMAQ_MT_MAX_FERET_DIAMETER_END_Y

    public static final NIVision.MeasurementType IMAQ_MT_MAX_FERET_DIAMETER_END_Y

  Y-coordinate of the end of the line segment connecting the two perimeter points that are the furthest apart.

### IMAQ_MT_MAX_HORIZ_SEGMENT_LENGTH_LEFT

    public static final NIVision.MeasurementType IMAQ_MT_MAX_HORIZ_SEGMENT_LENGTH_LEFT

  X-coordinate of the leftmost pixel in the longest row of contiguous pixels in the particle.

### IMAQ_MT_MAX_HORIZ_SEGMENT_LENGTH_RIGHT

    public static final NIVision.MeasurementType IMAQ_MT_MAX_HORIZ_SEGMENT_LENGTH_RIGHT

  X-coordinate of the rightmost pixel in the longest row of contiguous pixels in the particle.

### IMAQ_MT_MAX_HORIZ_SEGMENT_LENGTH_ROW

    public static final NIVision.MeasurementType IMAQ_MT_MAX_HORIZ_SEGMENT_LENGTH_ROW

  Y-coordinate of all of the pixels in the longest row of contiguous pixels in the particle.

### IMAQ_MT_BOUNDING_RECT_WIDTH

    public static final NIVision.MeasurementType IMAQ_MT_BOUNDING_RECT_WIDTH

  Distance between the x-coordinate of the leftmost particle point and the x-coordinate of the rightmost particle point.

### IMAQ_MT_BOUNDING_RECT_HEIGHT

    public static final NIVision.MeasurementType IMAQ_MT_BOUNDING_RECT_HEIGHT

  Distance between the y-coordinate of highest particle point and the y-coordinate of the lowest particle point.

### IMAQ_MT_BOUNDING_RECT_DIAGONAL

    public static final NIVision.MeasurementType IMAQ_MT_BOUNDING_RECT_DIAGONAL

  Distance between opposite corners of the bounding rectangle.

### IMAQ_MT_PERIMETER

    public static final NIVision.MeasurementType IMAQ_MT_PERIMETER

  Length of the outer boundary of the particle.

### IMAQ_MT_CONVEX_HULL_PERIMETER

    public static final NIVision.MeasurementType IMAQ_MT_CONVEX_HULL_PERIMETER

  Perimeter of the smallest convex polygon containing all points in the particle.

### IMAQ_MT_HOLES_PERIMETER

    public static final NIVision.MeasurementType IMAQ_MT_HOLES_PERIMETER

  Sum of the perimeters of each hole in the particle.

### IMAQ_MT_MAX_FERET_DIAMETER

    public static final NIVision.MeasurementType IMAQ_MT_MAX_FERET_DIAMETER

  Distance between the start and end of the line segment connecting the two perimeter points that are the furthest apart.

### IMAQ_MT_EQUIVALENT_ELLIPSE_MAJOR_AXIS

    public static final NIVision.MeasurementType IMAQ_MT_EQUIVALENT_ELLIPSE_MAJOR_AXIS

  Length of the major axis of the ellipse with the same perimeter and area as the particle.

### IMAQ_MT_EQUIVALENT_ELLIPSE_MINOR_AXIS

    public static final NIVision.MeasurementType IMAQ_MT_EQUIVALENT_ELLIPSE_MINOR_AXIS

  Length of the minor axis of the ellipse with the same perimeter and area as the particle.

### IMAQ_MT_EQUIVALENT_ELLIPSE_MINOR_AXIS_FERET

    public static final NIVision.MeasurementType IMAQ_MT_EQUIVALENT_ELLIPSE_MINOR_AXIS_FERET

  Length of the minor axis of the ellipse with the same area as the particle, and Major Axis equal in length to the Max Feret Diameter.

### IMAQ_MT_EQUIVALENT_RECT_LONG_SIDE

    public static final NIVision.MeasurementType IMAQ_MT_EQUIVALENT_RECT_LONG_SIDE

  Longest side of the rectangle with the same perimeter and area as the particle.

### IMAQ_MT_EQUIVALENT_RECT_SHORT_SIDE

    public static final NIVision.MeasurementType IMAQ_MT_EQUIVALENT_RECT_SHORT_SIDE

  Shortest side of the rectangle with the same perimeter and area as the particle.

### IMAQ_MT_EQUIVALENT_RECT_DIAGONAL

    public static final NIVision.MeasurementType IMAQ_MT_EQUIVALENT_RECT_DIAGONAL

  Distance between opposite corners of the rectangle with the same perimeter and area as the particle.

### IMAQ_MT_EQUIVALENT_RECT_SHORT_SIDE_FERET

    public static final NIVision.MeasurementType IMAQ_MT_EQUIVALENT_RECT_SHORT_SIDE_FERET

  Shortest side of the rectangle with the same area as the particle, and longest side equal in length to the Max Feret Diameter.

### IMAQ_MT_AVERAGE_HORIZ_SEGMENT_LENGTH

    public static final NIVision.MeasurementType IMAQ_MT_AVERAGE_HORIZ_SEGMENT_LENGTH

  Average length of a horizontal segment in the particle.

### IMAQ_MT_AVERAGE_VERT_SEGMENT_LENGTH

    public static final NIVision.MeasurementType IMAQ_MT_AVERAGE_VERT_SEGMENT_LENGTH

  Average length of a vertical segment in the particle.

### IMAQ_MT_HYDRAULIC_RADIUS

    public static final NIVision.MeasurementType IMAQ_MT_HYDRAULIC_RADIUS

  The particle area divided by the particle perimeter.

### IMAQ_MT_WADDEL_DISK_DIAMETER

    public static final NIVision.MeasurementType IMAQ_MT_WADDEL_DISK_DIAMETER

  Diameter of a disk with the same area as the particle.

### IMAQ_MT_AREA

    public static final NIVision.MeasurementType IMAQ_MT_AREA

  Area of the particle.

### IMAQ_MT_HOLES_AREA

    public static final NIVision.MeasurementType IMAQ_MT_HOLES_AREA

  Sum of the areas of each hole in the particle.

### IMAQ_MT_PARTICLE_AND_HOLES_AREA

    public static final NIVision.MeasurementType IMAQ_MT_PARTICLE_AND_HOLES_AREA

  Area of a particle that completely covers the image.

### IMAQ_MT_CONVEX_HULL_AREA

    public static final NIVision.MeasurementType IMAQ_MT_CONVEX_HULL_AREA

  Area of the smallest convex polygon containing all points in the particle.

### IMAQ_MT_IMAGE_AREA

    public static final NIVision.MeasurementType IMAQ_MT_IMAGE_AREA

  Area of the image.

### IMAQ_MT_NUMBER_OF_HOLES

    public static final NIVision.MeasurementType IMAQ_MT_NUMBER_OF_HOLES

  Number of holes in the particle.

### IMAQ_MT_NUMBER_OF_HORIZ_SEGMENTS

    public static final NIVision.MeasurementType IMAQ_MT_NUMBER_OF_HORIZ_SEGMENTS

  Number of horizontal segments in the particle.

### IMAQ_MT_NUMBER_OF_VERT_SEGMENTS

    public static final NIVision.MeasurementType IMAQ_MT_NUMBER_OF_VERT_SEGMENTS

  Number of vertical segments in the particle.

### IMAQ_MT_ORIENTATION

    public static final NIVision.MeasurementType IMAQ_MT_ORIENTATION

  The angle of the line that passes through the particle Center of Mass about which the particle has the lowest moment of inertia.

### IMAQ_MT_MAX_FERET_DIAMETER_ORIENTATION

    public static final NIVision.MeasurementType IMAQ_MT_MAX_FERET_DIAMETER_ORIENTATION

  The angle of the line segment connecting the two perimeter points that are the furthest apart.

### IMAQ_MT_AREA_BY_IMAGE_AREA

    public static final NIVision.MeasurementType IMAQ_MT_AREA_BY_IMAGE_AREA

  Percentage of the particle Area covering the Image Area.

### IMAQ_MT_AREA_BY_PARTICLE_AND_HOLES_AREA

    public static final NIVision.MeasurementType IMAQ_MT_AREA_BY_PARTICLE_AND_HOLES_AREA

  Percentage of the particle Area in relation to its Particle and Holes Area.

### IMAQ_MT_RATIO_OF_EQUIVALENT_ELLIPSE_AXES

    public static final NIVision.MeasurementType IMAQ_MT_RATIO_OF_EQUIVALENT_ELLIPSE_AXES

  Equivalent Ellipse Major Axis divided by Equivalent Ellipse Minor Axis.

### IMAQ_MT_RATIO_OF_EQUIVALENT_RECT_SIDES

    public static final NIVision.MeasurementType IMAQ_MT_RATIO_OF_EQUIVALENT_RECT_SIDES

  Equivalent Rect Long Side divided by Equivalent Rect Short Side.

### IMAQ_MT_ELONGATION_FACTOR

    public static final NIVision.MeasurementType IMAQ_MT_ELONGATION_FACTOR

  Max Feret Diameter divided by Equivalent Rect Short Side (Feret).

### IMAQ_MT_COMPACTNESS_FACTOR

    public static final NIVision.MeasurementType IMAQ_MT_COMPACTNESS_FACTOR

  Area divided by the product of Bounding Rect Width and Bounding Rect Height.

### IMAQ_MT_HEYWOOD_CIRCULARITY_FACTOR

    public static final NIVision.MeasurementType IMAQ_MT_HEYWOOD_CIRCULARITY_FACTOR

  Perimeter divided by the circumference of a circle with the same area.

### IMAQ_MT_TYPE_FACTOR

    public static final NIVision.MeasurementType IMAQ_MT_TYPE_FACTOR

  Factor relating area to moment of inertia.

### IMAQ_MT_SUM_X

    public static final NIVision.MeasurementType IMAQ_MT_SUM_X

  The sum of all x-coordinates in the particle.

### IMAQ_MT_SUM_Y

    public static final NIVision.MeasurementType IMAQ_MT_SUM_Y

  The sum of all y-coordinates in the particle.

### IMAQ_MT_SUM_XX

    public static final NIVision.MeasurementType IMAQ_MT_SUM_XX

  The sum of all x-coordinates squared in the particle.

### IMAQ_MT_SUM_XY

    public static final NIVision.MeasurementType IMAQ_MT_SUM_XY

  The sum of all x-coordinates times y-coordinates in the particle.

### IMAQ_MT_SUM_YY

    public static final NIVision.MeasurementType IMAQ_MT_SUM_YY

  The sum of all y-coordinates squared in the particle.

### IMAQ_MT_SUM_XXX

    public static final NIVision.MeasurementType IMAQ_MT_SUM_XXX

  The sum of all x-coordinates cubed in the particle.

### IMAQ_MT_SUM_XXY

    public static final NIVision.MeasurementType IMAQ_MT_SUM_XXY

  The sum of all x-coordinates squared times y-coordinates in the particle.

### IMAQ_MT_SUM_XYY

    public static final NIVision.MeasurementType IMAQ_MT_SUM_XYY

  The sum of all x-coordinates times y-coordinates squared in the particle.

### IMAQ_MT_SUM_YYY

    public static final NIVision.MeasurementType IMAQ_MT_SUM_YYY

  The sum of all y-coordinates cubed in the particle.

### IMAQ_MT_MOMENT_OF_INERTIA_XX

    public static final NIVision.MeasurementType IMAQ_MT_MOMENT_OF_INERTIA_XX

  The moment of inertia in the x-direction twice.

### IMAQ_MT_MOMENT_OF_INERTIA_XY

    public static final NIVision.MeasurementType IMAQ_MT_MOMENT_OF_INERTIA_XY

  The moment of inertia in the x and y directions.

### IMAQ_MT_MOMENT_OF_INERTIA_YY

    public static final NIVision.MeasurementType IMAQ_MT_MOMENT_OF_INERTIA_YY

  The moment of inertia in the y-direction twice.

### IMAQ_MT_MOMENT_OF_INERTIA_XXX

    public static final NIVision.MeasurementType IMAQ_MT_MOMENT_OF_INERTIA_XXX

  The moment of inertia in the x-direction three times.

### IMAQ_MT_MOMENT_OF_INERTIA_XXY

    public static final NIVision.MeasurementType IMAQ_MT_MOMENT_OF_INERTIA_XXY

  The moment of inertia in the x-direction twice and the y-direction once.

### IMAQ_MT_MOMENT_OF_INERTIA_XYY

    public static final NIVision.MeasurementType IMAQ_MT_MOMENT_OF_INERTIA_XYY

  The moment of inertia in the x-direction once and the y-direction twice.

### IMAQ_MT_MOMENT_OF_INERTIA_YYY

    public static final NIVision.MeasurementType IMAQ_MT_MOMENT_OF_INERTIA_YYY

  The moment of inertia in the y-direction three times.

### IMAQ_MT_NORM_MOMENT_OF_INERTIA_XX

    public static final NIVision.MeasurementType IMAQ_MT_NORM_MOMENT_OF_INERTIA_XX

  The normalized moment of inertia in the x-direction twice.

### IMAQ_MT_NORM_MOMENT_OF_INERTIA_XY

    public static final NIVision.MeasurementType IMAQ_MT_NORM_MOMENT_OF_INERTIA_XY

  The normalized moment of inertia in the x- and y-directions.

### IMAQ_MT_NORM_MOMENT_OF_INERTIA_YY

    public static final NIVision.MeasurementType IMAQ_MT_NORM_MOMENT_OF_INERTIA_YY

  The normalized moment of inertia in the y-direction twice.

### IMAQ_MT_NORM_MOMENT_OF_INERTIA_XXX

    public static final NIVision.MeasurementType IMAQ_MT_NORM_MOMENT_OF_INERTIA_XXX

  The normalized moment of inertia in the x-direction three times.

### IMAQ_MT_NORM_MOMENT_OF_INERTIA_XXY

    public static final NIVision.MeasurementType IMAQ_MT_NORM_MOMENT_OF_INERTIA_XXY

  The normalized moment of inertia in the x-direction twice and the y-direction once.

### IMAQ_MT_NORM_MOMENT_OF_INERTIA_XYY

    public static final NIVision.MeasurementType IMAQ_MT_NORM_MOMENT_OF_INERTIA_XYY

  The normalized moment of inertia in the x-direction once and the y-direction twice.

### IMAQ_MT_NORM_MOMENT_OF_INERTIA_YYY

    public static final NIVision.MeasurementType IMAQ_MT_NORM_MOMENT_OF_INERTIA_YYY

  The normalized moment of inertia in the y-direction three times.

### IMAQ_MT_HU_MOMENT_1

    public static final NIVision.MeasurementType IMAQ_MT_HU_MOMENT_1

  The first Hu moment.

### IMAQ_MT_HU_MOMENT_2

    public static final NIVision.MeasurementType IMAQ_MT_HU_MOMENT_2

  The second Hu moment.

### IMAQ_MT_HU_MOMENT_3

    public static final NIVision.MeasurementType IMAQ_MT_HU_MOMENT_3

  The third Hu moment.

### IMAQ_MT_HU_MOMENT_4

    public static final NIVision.MeasurementType IMAQ_MT_HU_MOMENT_4

  The fourth Hu moment.

### IMAQ_MT_HU_MOMENT_5

    public static final NIVision.MeasurementType IMAQ_MT_HU_MOMENT_5

  The fifth Hu moment.

### IMAQ_MT_HU_MOMENT_6

    public static final NIVision.MeasurementType IMAQ_MT_HU_MOMENT_6

  The sixth Hu moment.

### IMAQ_MT_HU_MOMENT_7

    public static final NIVision.MeasurementType IMAQ_MT_HU_MOMENT_7

  The seventh Hu moment.

### IMAQ_MEASUREMENT_TYPE_SIZE_GUARD

    public static final NIVision.MeasurementType IMAQ_MEASUREMENT_TYPE_SIZE_GUARD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"